<div class="row">
    <div class="col-md-12 mb-4">
        <button *ngIf="userRole!='Admin'" (click)="createBuyerFormGroup()" type="button"
        class="btn btn-sm btn-custom" data-toggle="modal" data-target="#addNewBuyer"
        data-backdrop="static" data-keyboard="false">New Buyer</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Phone</th>
                        <th>Address</th>
                        <th *ngIf="userRole!='Admin'">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let buyer of buyers | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="['/buyers/view-buyer', buyer.buyer_id]">{{buyer.full_name}}</a></td>
                        <td>{{buyer.email}}</td>
                        <td>{{buyer.phone}}</td>
                        <td>{{buyer.address}}, {{buyer.city}}, {{buyer.country}} - {{buyer.zip}}</td>
                        <td *ngIf="userRole!='Admin'">
                            <span><a [routerLink]="['/buyers/view-buyer', buyer.buyer_id]"><i
                                        class="fa fa-eye text-info mr-2" aria-hidden="true"></i></a></span>
                            <span><i data-toggle="modal" data-target="#addNewBuyer"
                                    (click)="editBuyerInformation(buyer)" class="fa fa-edit text-primary mr-2"
                                    aria-hidden="true"></i></span>
                        </td>
                    </tr>
                    <tr *ngIf="buyers==''">
                        <td colspan="5" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="buyers!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>

<!-----------Add New Buyer Form Modal------------------------>
<div id="addNewBuyer" class="modal fade largeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add/Update Buyer Information</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditNewBuyer()" [formGroup]="NewBuyerForm">
                    <div class="form-group row" id="authDetails" >
                        <div class="col-sm-6 mb-3" *ngIf="action == 'add'">
                            <label>Username:</label>
                            <input formControlName="username" type="text" class="form-control form-control-user"
                                id="username">
                            <div *ngIf="submitted && formControls.username.errors" class="errors">
                                <div *ngIf="formControls.username.errors.required">Username is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3" *ngIf="action == 'add'">
                            <label>Password:</label>
                            <input formControlName="password" type="password" class="form-control form-control-user"
                                id="password">
                            <div *ngIf="submitted && formControls.password.errors" class="errors">
                                <div *ngIf="formControls.password.errors.required">Password is required</div>
                                <div *ngIf="formControls.password.errors.minLength">Password must be 6 characters length
                                </div>
                            </div>
                        </div>
                   
                        <div class="col-sm-12 mb-3">
                            <label>Full Name:</label>
                            <input formControlName="full_name" type="text" class="form-control form-control-user"
                                id="company">
                            <div *ngIf="submitted && formControls.full_name.errors" class="errors">
                                <div *ngIf="formControls.full_name.errors.required">Buyer Name is required</div>
                            </div>
                        </div>
                    
                        <div class="col-sm-6 mb-3">
                            <label>Email:</label>
                            <input formControlName="email" type="text" class="form-control form-control-user"
                                id="email">
                            <div *ngIf="submitted && formControls.email.errors" class="errors">
                                <div *ngIf="formControls.email.errors.required">Email is required</div>
                                <div *ngIf="formControls.email.errors.pattern">Email must be a valid email address</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Phone:</label>
                            <input formControlName="phone" type="number" class="form-control form-control-user"
                                id="phone">
                            <div *ngIf="submitted && formControls.phone.errors" class="errors">
                                <div *ngIf="formControls.phone.errors.required">Phone is required</div>
                                <div *ngIf="formControls.phone.errors.pattern">Please enter valid phone number</div>
                            </div>
                        </div>
                    
                        <div class="col-sm-6 mb-3">
                            <label>Address:</label>
                            <input formControlName="address" type="text" class="form-control form-control-user"
                                id="address">
                            <div *ngIf="submitted && formControls.address.errors" class="errors">
                                <div *ngIf="formControls.address.errors.required">Address is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>City:</label>
                            <input formControlName="city" type="text" class="form-control form-control-user" id="city">
                            <div *ngIf="submitted && formControls.city.errors" class="errors">
                                <div *ngIf="formControls.city.errors.required">City is required</div>
                            </div>
                        </div>
                  
                        <div class="col-sm-6 mb-3">
                            <label>Country:</label>
                            <input formControlName="country" type="text" class="form-control form-control-user"
                                id="country">
                            <div *ngIf="submitted && formControls.country.errors" class="errors">
                                <div *ngIf="formControls.country.errors.required">Country is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Zip:</label>
                            <input formControlName="zip" type="number" class="form-control form-control-user" id="zip">
                            <div *ngIf="submitted && formControls.zip.errors" class="errors">
                                <div *ngIf="formControls.zip.errors.required">Zip is required</div>
                                <div *ngIf="formControls.zip.errors.pattern">Must be a valid zip number</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-2 mb-3">
                        </div>
                        <div class="col-sm-8 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>